from abc import ABC, abstractmethod
from typing import List
from dep_shield.models import Dependency

class BaseParser(ABC):
    @abstractmethod
    def parse(self, file_path: str) -> List[Dependency]:
        pass

    @abstractmethod
    def can_handle(self, file_path: str) -> bool:
        pass